//ENGINE.H - this file includes all the headers from the engine so far, so that projects using the engine
//	     can just include this file rather than worry about the 30-40 #includes we will eventually have

#ifndef ENGINE_H_INCLUDED
#define ENGINE_H_INCLUDED

//disable the warning about symbol names being too long for the debug information (happens a lot with STL)
#pragma warning ( disable : 4786 )

#include <iostream>
#include <ostream>
#include <istream>
#include <fstream>
#include <list>
#include <string>
#include <map>
#include <deque>
#include <vector>
#include <algorithm>
#include <functional>
#include <cassert>
#include <sstream>
#include <cmath>
#include <ctime>

#ifdef WIN32
#include <windows.h>
#include "resource.h"
#endif

//foundation layer headers
#include "log.h"
#include "mmanager.h"
#include "singleton.h"
#include "functor.h"

#endif